commit:     897ffedac974645fb3826a3346445ea07c1ff818
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 12 21:37:37 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 12 21:41:58 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=897ffeda

dev-python/testscenarios: Use pytest to work-around broken code

The code used for loading tests does not work anymore with Python 3.5's
unittest implementation.  Use pytest to run tests instead.

 dev-python/testscenarios/testscenarios-0.5.0.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/dev-python/testscenarios/testscenarios-0.5.0.ebuild 
b/dev-python/testscenarios/testscenarios-0.5.0.ebuild
index 6955aee18da..81df8618cce 100644
--- a/dev-python/testscenarios/testscenarios-0.5.0.ebuild
+++ b/dev-python/testscenarios/testscenarios-0.5.0.ebuild
@@ -14,14 +14,17 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh 
sparc x86 ~amd64-linux ~x86-linux ~amd64-fbsd"
+IUSE="test"
 
 RDEPEND="
        dev-python/testtools[${PYTHON_USEDEP}]"
 
+# using pytest for tests since unittest loader fails with py3.5+
 DEPEND="
        ${RDEPEND}
        dev-python/setuptools[${PYTHON_USEDEP}]
-       >=dev-python/pbr-0.11[${PYTHON_USEDEP}]"
+       >=dev-python/pbr-0.11[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
 
 python_prepare_all() {
        # Remove a faulty file from tests, missing a required attribute
@@ -30,5 +33,5 @@ python_prepare_all() {
 }
 
 python_test() {
-       "${PYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+       pytest -vv || die "Tests fail with ${EPYTHON}"
 }

Reply via email to